List Docker images from GitHub Container Registry
curl --request GET \
--url https://api-eu.cybedefend.com/integrations/github-container-registry/organization/{organizationId}/imagesimport requests
url = "https://api-eu.cybedefend.com/integrations/github-container-registry/organization/{organizationId}/images"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-eu.cybedefend.com/integrations/github-container-registry/organization/{organizationId}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"images": [
{
"id": 12345678,
"name": "ghcr.io/my-org/my-app",
"packageName": "my-app",
"owner": "my-org",
"visibility": "private",
"createdAt": "2025-01-01T00:00:00Z",
"updatedAt": "2025-01-15T00:00:00Z",
"versionCount": 5,
"scannable": true,
"linkedToRepository": true,
"htmlUrl": "https://github.com/orgs/my-org/packages/container/package/my-app",
"scannableReason": "Internal package NOT linked to any repository. Please link the package to a repository or use a PAT."
}
],
"totalCount": 10,
"githubOwner": "my-org"
}GitHub (GHCR)
List Docker images from GitHub Container Registry
Lists all Docker images available in ghcr.io for the GitHub account associated with the organization.
GET
/
integrations
/
github-container-registry
/
organization
/
{organizationId}
/
images
List Docker images from GitHub Container Registry
Path Parameters
CybeDefend organization ID
Example:
"550e8400-e29b-41d4-a716-446655440000"
Query Parameters
Number of results per page
Example:
25
Page number (1-based)
Example:
1
Filter by visibility: "public", "private", or "internal"
Example:
"private"